package jp.sourceforge.cfneo.at4ie2.api.test.impl.invoker;

import static org.junit.Assert.assertEquals;
import jp.sourceforge.cfneo.at4ie2.api.test.CommandEnum;
import jp.sourceforge.cfneo.at4ie2.api.test.TestCase;
import jp.sourceforge.cfneo.at4ie2.api.test.impl.DefaultTestCase;

import org.junit.Test;

public class TypeInvokerTest extends AbstractInvokerTestCase {

	@Test
	public void test() {
		TestCase testCase = new DefaultTestCase(
				this.context, 1, CommandEnum.TYPE, "id=txt0", "aaaaa");
		this.invokerFactory.getInvoker(testCase.getCommand()).invoke(testCase);
		assertEquals("aaaaa", this.browser.getTextField("txt0").getValue());
	}

}
